package ru.dbotthepony.mc.otm.block.entity

import net.minecraft.util.StringRepresentable
import net.minecraft.world.level.block.state.properties.EnumProperty

enum class WorkerState(private val str: String) : StringRepresentable {
	IDLE("idle"),
	WORKING("working"),
	ERROR("error");

	override fun getSerializedName(): String {
		return str
	}

	companion object {
		val WORKER_STATE: EnumProperty<WorkerState> = EnumProperty.create("worker", WorkerState::class.java)
		val SEMI_WORKER_STATE: EnumProperty<WorkerState> = EnumProperty.create("worker", WorkerState::class.java, IDLE, WORKING)
	}
}
